Skip to main content

Movements

This interface provides transactional data for all types of internal movements at the time of extraction.

Below you will find the Actions with descriptions and the Specfication for the requests.

Actions​

POST​

This interface allows you to post to the MovementsSTD_API Interface

Request details​

MethodEndpointHeader keyHeader Value
POSTBaseURL/api/item/confirmationX-AUTH-TOKENIntegration Service API key

Request Body​


{
"interfaceName" : "MovementsSTD_API",
"returnDetailedData" : true,
"data": [{
"count": 1
}]
}

Request Response​

{
"success": true,
"message": null,
"errorData": null,
"returnData": {
"Movements": {
"messageType": "Movement",
"data": [
{
"tranid": 96835,
"trandate": "2020-11-01T18:51:19.83",
"transactiontypedesc": "DU Ship",
"styleno": "32485",
"styledesc": "F/L D/B MANGO ORANGE 1L",
"colourcode": null,
"colourdesc": null,
"sizecode": "1",
"sizedesc": "1",
"skuno": "32485",
"itematt1": null,
"itematt2": null,
"itematt3": null,
"itematt4": null,
"itematt5": null,
"itemattvalue1": null,
"itemattvalue2": null,
"itemattvalue3": null,
"tranqty": 1,
"clientdesc": "Client1",
"customerdesc": "Customer1",
"frombuildingno": "B0001",
"frombuildingdesc": "GROCERIES",
"fromareadesc": "Pack Staging",
"frombinno": "GD0200",
"fromhuno": "D0002470",
"orderno": "1199.251001",
"frompalletno": null,
"tobuildingno": "B0001",
"tobuildingdesc": "GROCERIES",
"toareadesc": "Shipping Bays",
"toareano": "A0010",
"fromareano": "A0007",
"tobinno": "GB0100",
"topalletno": null,
"tohuno": "D0002470"
}
],
"messageid": 43
}
}
}

Specification​

FieldType
tranidInteger
trandateTimestamp
transactiontypedescString (30)
styledescString (30)
colourcodeString (30)
colourdescString (30)
sizedescString (30)
sizecodeString (30)
skunoString (30)
itematt1String (30)
itematt2String (30)
itematt3String (30)
itematt4String (30)
itematt5String (30)
itemattvalue1Double
itemattvalue2Double
itemattvalue3Double
tranqtyInteger
clientdescString (30)
frombuildingnoString (30)
frombuildingdescString (30)
fromareadescString (30)
frombinnoString (30)
fromhunoString (30)
ordernoString (30)
frompalletnoString (30)
tobuildingnoString (30)
tobuildingdescString (30)
toareadescString (30)
toareanoString (30)
fromareanoString (30)
tobinnoString (30)
topalletnoString (30)
tohunoString (30)